ChartedMetricBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.beans.ChartedMetricBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.beans
Class ChartedMetricBean

    java.lang.Object
      org.hyperic.hq.ui.beans.ChartedMetricBean

    public final class ChartedMetricBean

extends java.lang.Object

Helper bean for chart rendering.

Constructor Summary
`ChartedMetricBean(java.lang.String metricName, int unitUnits, int unitScale, int collectionType, java.lang.Integer templateId)`

Method Summary
`java.lang.Double` | `getBaselineRaw()`
`int` | `getCollectionType()`
`java.lang.Double` | `getHighRangeRaw()`
`java.lang.Double` | `getLowRangeRaw()`
`java.lang.String` | `getMetricName()`
`java.lang.Integer` | `getTemplateId()`
`int` | `getUnitScale()`
`int` | `getUnitUnits()`
`void` | `setBaselineRaw(java.lang.Double baselineRaw)`
`void` | `setCollectionType(int collectionType)`
`void` | `setHighRangeRaw(java.lang.Double highRange)`
`void` | `setLowRangeRaw(java.lang.Double lowRange)`
`void` | `setMetricName(java.lang.String metricName)`
`void` | `setTemplateId(java.lang.Integer templateId)`
`void` | `setUnitScale(int unitScale)`
`void` | `setUnitUnits(int unitUnits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartedMetricBean

    public ChartedMetricBean(java.lang.String metricName,
                             int unitUnits,
                             int unitScale,
                             int collectionType,
                             java.lang.Integer templateId)

Method Detail

### getMetricName

    public java.lang.String getMetricName()

### setMetricName

    public void setMetricName(java.lang.String metricName)

### getUnitUnits

    public int getUnitUnits()

### setUnitUnits

    public void setUnitUnits(int unitUnits)

### getUnitScale

    public int getUnitScale()

### setUnitScale

    public void setUnitScale(int unitScale)

### getCollectionType

    public int getCollectionType()

### setCollectionType

    public void setCollectionType(int collectionType)

### getBaselineRaw

    public java.lang.Double getBaselineRaw()

### setBaselineRaw

    public void setBaselineRaw(java.lang.Double baselineRaw)

### getHighRangeRaw

    public java.lang.Double getHighRangeRaw()

### setHighRangeRaw

    public void setHighRangeRaw(java.lang.Double highRange)

### getLowRangeRaw

    public java.lang.Double getLowRangeRaw()

### setLowRangeRaw

    public void setLowRangeRaw(java.lang.Double lowRange)

### getTemplateId

    public java.lang.Integer getTemplateId()

### setTemplateId

    public void setTemplateId(java.lang.Integer templateId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.